package net.javainthebox.javafx.presentator.contents;

import javafx.ui.*;
import javafx.ui.canvas.*; 
import javafx.ui.filter.*;
import java.lang.System;

import java.applet.*;
import java.io.*;
import java.net.*;
import javax.sound.sampled.*;
import sun.applet.*;

import net.javainthebox.javafx.presentator.*;

public class Scene35_JFX2 extends Scene {
    attribute opacity0: Number;
    attribute opacity1: Number;
    attribute opacity2: Number;
    attribute opacity3: Number;
    attribute opacity4: Number;
    attribute opacity5: Number;
    attribute opacity6: Number;

    operation fadein(unit: Number,
                     start: Number, end: Number):  Number;
}

operation Scene35_JFX2.fadein(unit: Number,
                                 start: Number, end: Number): Number {
    var opacity: Number;

    if (unit < start) {
        opacity = 0.0;
    } else if (unit > start and unit < end) {
        opacity = (unit - start) / (end - start);
    } else if (unit > end) {
	 opacity = 1.0;
    }

    return opacity;
}


attribute Scene35_JFX2.opacity0 = 0;
attribute Scene35_JFX2.opacity1 = 0;
attribute Scene35_JFX2.opacity2 = 0;
attribute Scene35_JFX2.opacity3 = 0;
attribute Scene35_JFX2.opacity4 = 0;
attribute Scene35_JFX2.opacity5 = 0;
attribute Scene35_JFX2.opacity6 = 0;

attribute Scene35_JFX2.leafs =  [
    Leaf {
        node: Group {
            content: [
                Text {
                    x: 100
                    y: 100
                    filter: [ShadowFilter { x: 10, y: -10}]
	             opacity: bind opacity0
                    font: Font {faceName: "MS PSVbN", style: BOLD, size: 56}
                    content: "JavaFX"
                },
            ]
        }

        action: operation() {
	     for (unitinterval unit in dur 1000) {
	         opacity0 = unit;
            }
        }
    },
    Leaf {
        node: Group {
            content: [
                Text {
                    x: 160
                    y: 180
	             opacity: bind opacity1
                    filter: [ShadowFilter { x: 10, y: -10}]
                    font: Font {faceName: "MS PSVbN", style: BOLD, size: 48}
                    content: "Java for RIA"
                },
            ]
        }

        action: operation() {
	     for (unitinterval unit in dur 1000) {
                opacity1 = unit;
            }
        }
    },
    Leaf {
        node: Group {
            content: [
                Text {
                    x: 200
                    y: 240
                    opacity: bind opacity2
                    filter: [ShadowFilter { x: 10, y: -10}]
                    font: Font {faceName: "MS PSVbN", style: BOLD, size: 40}
                    content: " Adobe AIR, MS Silverlight"
                },
            ]
        }

        action: operation() {
	     for (unitinterval unit in dur 1000) {
                opacity2 = unit;
            }
        }
    },
    Leaf {
        node: Group {
            content: [
                Text {
                    x: 160
                    y: 320
                    opacity: bind opacity3
                    filter: [ShadowFilter { x: 10, y: -10}]
                    font: Font {faceName: "MS PSVbN", style: BOLD, size: 48}
                    content: "ViPlatform"
                },
            ]
        }

        action: operation() {
	     for (unitinterval unit in dur 1000) {
                opacity3 = unit;
            }
        }
    },
    Leaf {
        node: Group {
            content: [
                Text {
                    x: 200
                    y: 380
                    opacity: bind opacity4
                    filter: [ShadowFilter { x: 10, y: -10}]
                    font: Font {faceName: "MS PSVbN", style: BOLD, size: 40}
                    content: "J̓I[v\[X"
                },
            ]
        }

        action: operation() {
	     for (unitinterval unit in dur 1000) {
                opacity4 = unit;
            }
        }
    },
    Leaf {
        node: Group {
            content: [
                Text {
                    x: 160
                    y: 490
                    opacity: bind opacity5
                    filter: [ShadowFilter { x: 10, y: -10}]
                    font: Font {faceName: "MS PSVbN", style: BOLD, size: 48}
                    content: "J Chris Oliver"
                },
                ImageView {
                    transform: translate(700.0, 370.0)
	             opacity: bind opacity5
                    image: {url: "{__DIR__}/resources/images/oliver.jpg"}
                }
            ]
        }

        action: operation() {
	     for (unitinterval unit in dur 1000) {
                opacity5 = unit;
            }
        }
    },
];