package net.javainthebox.javafx.presentator.contents;

import javafx.ui.*;
import javafx.ui.canvas.*; 
import javafx.ui.filter.*;
import java.lang.System;

import java.applet.*;
import java.io.*;
import java.net.*;
import javax.sound.sampled.*;
import sun.applet.*;

import net.javainthebox.javafx.presentator.*;

public class Scene4_JDKdevelop extends Scene {
    attribute opacity0: Number;
    attribute opacity1: Number;
    attribute opacity2: Number;
    attribute opacity3: Number;
    attribute opacity4: Number;
    attribute opacity5: Number;
    attribute opacity6: Number;

    operation fadein(unit: Number,
                     start: Number, end: Number):  Number;
}

operation Scene4_JDKdevelop.fadein(unit: Number,
                                 start: Number, end: Number): Number {
    var opacity: Number;

    if (unit < start) {
        opacity = 0.0;
    } else if (unit > start and unit < end) {
        opacity = (unit - start) / (end - start);
    } else if (unit > end) {
	 opacity = 1.0;
    }

    return opacity;
}


attribute Scene4_JDKdevelop.opacity0 = 0;
attribute Scene4_JDKdevelop.opacity1 = 0;
attribute Scene4_JDKdevelop.opacity2 = 0;
attribute Scene4_JDKdevelop.opacity3 = 0;
attribute Scene4_JDKdevelop.opacity4 = 0;
attribute Scene4_JDKdevelop.opacity5 = 0;
attribute Scene4_JDKdevelop.opacity6 = 0;

attribute Scene4_JDKdevelop.leafs =  [
    Leaf {
        node: ImageView {
            transform: translate(240.0, 160.0)
	     opacity: bind opacity0
            image: {url: "{__DIR__}/resources/images/logo_jcp.gif"}
        }

        action: operation() {
	     for (unitinterval unit in dur 1000) {
                opacity0 = unit;
            }
        }
    },
    Leaf {
        node: ImageView {
            transform: translate(620.0, 201.0)
	     opacity: bind opacity1
            image: {url: "{__DIR__}/resources/images/openjdk.png"}
        }

        action: operation() {
	     for (unitinterval unit in dur 1000) {
                opacity1 = unit;
            }
        }
    },
    Leaf {
        node: View {
            filter: [ShadowFilter { x: 10, y: -10}]
            opacity: bind opacity2
            transform: translate(80.0, 400.0)

            content: Label {
                text:
"<html>
<table cellspacing='10' cellpadding='10' style='font-size: 34px;'>
  <tr>
    <td style='background-color: #999999'>What</td>
    <td style='background-color: #aeabe0'>API Specification</td>
    <td style='background-color: #feb381'>JDK Implementation</td>
  </tr>
  <tr>
    <td style='background-color: #999999'>Where</td>
    <td style='background-color: #aeabe0'>jcp.org</td>
    <td style='background-color: #feb381'>openjdk.java.net</td>
  </tr>
  <tr>
    <td style='background-color: #999999'>How</td>
    <td style='background-color: #aeabe0'>Expert Group</td>
    <td style='background-color: #feb381'>OpenJDK Projects</td>
  </tr>
</table>
"
            }
        }

        action: operation() {
	     for (unitinterval unit in dur 1000) {
                opacity2 = unit;
            }
        }
    },
];