package net.javainthebox.javafx.presentator.contents;

import javafx.ui.*;
import javafx.ui.canvas.*; 
import javafx.ui.filter.*;
import java.lang.System;

import java.applet.*;
import java.io.*;
import java.net.*;
import javax.sound.sampled.*;
import sun.applet.*;

import net.javainthebox.javafx.presentator.*;

public class Scene7_Multi extends Scene {
    attribute opacity0: Number;
    attribute opacity1: Number;
    attribute opacity2: Number;
    attribute opacity3: Number;
    attribute opacity4: Number;
    attribute opacity5: Number;
    attribute opacity6: Number;
    attribute opacity7: Number;
    attribute opacity8: Number;

    operation fadein(unit: Number,
                     start: Number, end: Number):  Number;
}

operation Scene7_Multi.fadein(unit: Number,
                                 start: Number, end: Number): Number {
    var opacity: Number;

    if (unit < start) {
        opacity = 0.0;
    } else if (unit > start and unit < end) {
        opacity = (unit - start) / (end - start);
    } else if (unit > end) {
	 opacity = 1.0;
    }

    return opacity;
}


attribute Scene7_Multi.opacity0 = 0;
attribute Scene7_Multi.opacity1 = 0;
attribute Scene7_Multi.opacity2 = 0;
attribute Scene7_Multi.opacity3 = 0;
attribute Scene7_Multi.opacity4 = 0;
attribute Scene7_Multi.opacity5 = 0;
attribute Scene7_Multi.opacity6 = 0;
attribute Scene7_Multi.opacity7 = 0;
attribute Scene7_Multi.opacity8 = 0;

attribute Scene7_Multi.leafs =  [
    Leaf {
        node: Group {
            content: [
                Text {
                    x: 457
                    y: 408
                    filter: [ShadowFilter { x: 10, y: -10}]
	             opacity: bind opacity0
                    font: Font {face: ARIAL_BLACK, style: BOLD, size: 80}
                    content: "on"
                },
                Text {
                    x: 325
                    y: 515
                    filter: [ShadowFilter { x: 10, y: -10}]
	             opacity: bind opacity0
                    font: Font {face: ARIAL_BLACK, style: BOLD, size: 80}
                    content: "Java VM"
                },
                Text {
                    x: 303
                    y: 165
                    filter: [ShadowFilter { x: 10, y: -10}]
	             opacity: bind opacity1
                    font: Font {face: ARIAL_BLACK, style: BOLD, size: 160}
                    content: "Java"
                },
            ]
        }

        action: operation() {
	     for (unitinterval unit in dur 5000) {
                opacity0 = fadein(unit, 0.0, 0.4);
                opacity1 = fadein(unit, 0.5, 1.0);
            }
        }
    },
    Leaf {
        node: Group {
            content: [
                Text {
                    x: 60
                    y: 165
                    filter: [ShadowFilter { x: 10, y: -10}]
	             opacity: bind opacity2
                    font: Font {face: ARIAL_BLACK, style: BOLD, size: 140}
                    content: "JavaScript"
                },
            ]
        }

        action: operation() {
	     
	     for (unitinterval unit in dur 2000) {
	         opacity1 = if unit < 0.5 then 1.0 - unit * 2 else 0;
                opacity2 = fadein(unit, 0.5, 1.0);
            }
        }
    },
    Leaf {
        node: Group {
            content: [
                ImageView {
                    transform: translate(200.0, 100)
	             opacity: bind opacity3
                    image: {url: "{__DIR__}/resources/images/ruby.gif"}
                }
/*
                Text {
                    x: 340
                    y: 165
                    filter: [ShadowFilter { x: 10, y: -10}]
	             opacity: bind opacity3
                    font: Font {face: ARIAL_BLACK, style: BOLD, size: 140}
                    content: "Ruby"
                },
*/
            ]
        }

        action: operation() {
	     
	     for (unitinterval unit in dur 2000) {
	         opacity2 = if unit < 0.5 then 1.0 - unit * 2 else 0;
                opacity3 = fadein(unit, 0.5, 1.0);
            }
        }
    },
    Leaf {
        node: Group {
            content: [
                ImageView {
                    transform: translate(250.0, 80)
	             opacity: bind opacity4
                    image: {url: "{__DIR__}/resources/images/bsh.gif"}
                }
/*
                Text {
                    x: 100
                    y: 165
                    filter: [ShadowFilter { x: 10, y: -10}]
	             opacity: bind opacity4
                    font: Font {face: ARIAL_BLACK, style: BOLD, size: 140}
                    content: "BeanShell"
                },
*/
            ]
        }

        action: operation() {
	     
	     for (unitinterval unit in dur 2000) {
	         opacity3 = if unit < 0.5 then 1.0 - unit * 2 else 0;
                opacity4 = fadein(unit, 0.5, 1.0);
            }
        }
    },
    Leaf {
        node: Group {
            content: [
                ImageView {
                    transform: translate(220.0, 80)
	             opacity: bind opacity5
                    image: {url: "{__DIR__}/resources/images/groovy.png"}
                }
/*
                Text {
                    x: 240
                    y: 165
                    filter: [ShadowFilter { x: 10, y: -10}]
	             opacity: bind opacity5
                    font: Font {face: ARIAL_BLACK, style: BOLD, size: 140}
                    content: "Groovy"
                },
*/
            ]
        }

        action: operation() {
	     
	     for (unitinterval unit in dur 2000) {
	         opacity4 = if unit < 0.5 then 1.0 - unit * 2 else 0;
                opacity5 = fadein(unit, 0.5, 1.0);
            }
        }
    },
    Leaf {
        node: Group {
            content: [
                ImageView {
                    transform: translate(220.0, 150)
	             opacity: bind opacity6
                    image: {url: "{__DIR__}/resources/images/python-logo.gif"}
                }
/*
                Text {
                    x: 240
                    y: 165
                    filter: [ShadowFilter { x: 10, y: -10}]
	             opacity: bind opacity6
                    font: Font {face: ARIAL_BLACK, style: BOLD, size: 140}
                    content: "Python"
                },
*/
            ]
        }

        action: operation() {
	     
	     for (unitinterval unit in dur 2000) {
	         opacity5 = if unit < 0.5 then 1.0 - unit * 2 else 0;
                opacity6 = fadein(unit, 0.5, 1.0);
            }
        }
    },
];